<script>
  // Imports
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import CirclePlot from "./_circle.svelte";

  // Size and margins
  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Configurations
  const s1 = {
    city: "Chicago",
  };
  const s2 = {
    city: "Baltimore",
  };
  const s3 = {
    city: "Los Angeles",
  };

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/daily_heating_cooling.json");
  });
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
<!--
<div class="row">
  <div class="column">
    <CirclePlot data={data} {...s1}/>
  </div>
  <div class="column">
    <CirclePlot data={data} {...s2}/>
  </div>
  <div class="column">
    <CirclePlot data={data} {...s3}/>
  </div>
</div>
-->
  <CirclePlot data={data} {...s1}/>
  <CirclePlot data={data} {...s2}/>
  <CirclePlot data={data} {...s3}/>
<!--
<svg>

</svg>
-->


<!--
  <svg {width} {height}>
    <g transform="translate({margin.left}, {margin.top})">
      <svg fill="green">

      </svg>
    </g>
  </svg>
-->
{/if}

<!--
  <style>
    svg {
      border: 1px solid black;
      border-radius: 5px;
    }
  </style>
-->

